// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or vendor/assets/javascripts of plugins, if any, can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file.
//
// Read Sprockets README (https://github.com/sstephenson/sprockets#sprockets-directives) for details
// about supported directives.
//
//= require jquery
//= require jquery_ujs
//= require foundation
//= require jquery.icheck
//= require jquery.cookie
//= require_directory .

$(document).ready(function(){
	$(document).foundation();
});

toggleTabs = function(tab, newTab) {
	tab.parent().addClass('active').siblings().removeClass('active');
	$( $('.tabs').data("tab") + "-content").removeClass('active');
	$(newTab + "-content").addClass('active');
	$('.tabs').data("tab", newTab);
};
jQuery(document).ready(function($) {
	$('.modal-trigger').trigger('click');

	$('.tabs').data("tab", "#login");
	if (window.location.hash == "#signup") {
		toggleTabs($("#signup-tab"), "#signup");
	}

	$("dd > a").click(function() {
		toggleTabs($(this), $(this).data('tab-content'));
	});
});
